Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "4e14556f-a8dc-474c-b3d0-b5aa24e6ded1",
"estimated_quantity": 2.0,
"article_id": "92e3fc34-cc70-419a-ab94-9b707ad37792",
"article_code": "sample string 4",
"article": {
"id": "2da4ad97-6cd0-4b2c-8f13-7dedfa11228b",
"article_category_id": "ba02950d-fab5-4451-9229-de9c68e1691c",
"article_category": {
"id": "9c87a581-7961-417c-ad90-499bcfb4a56b",
"parent_id": "65a36800-ec56-4777-a77f-0b76e91bcfb1",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-20T19:26:33.4458343+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "2ae55b18-1aa3-414f-8738-518643933977",
"article_group_1_code": "sample string 5",
"article_group_2_id": "1254fbce-2290-48f8-b90b-916a1b816aac",
"article_group_2_code": "sample string 7",
"article_group_3_id": "55ce6ce3-bb00-49dc-ae1f-2833d3b7d7d3",
"article_group_3_code": "sample string 9",
"article_group_4_id": "50d22b31-0608-4400-887e-054b1438487c",
"article_group_4_code": "sample string 11",
"article_group_5_id": "d42e4f1b-cd58-4e26-a86b-27e3b04bbc15",
"article_group_5_code": "sample string 13",
"article_group_6_id": "6cb36b45-eb4c-41be-b225-fb18adaff645",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-20T19:26:33.4458343+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-20T19:26:33.4458343+00:00",
"date_update": "2026-11-20T19:26:33.4458343+00:00",
"modified_dateutc": "2026-11-20T19:26:33.4458343+00:00",
"article_color_id": "444770a1-77b7-4120-8f3a-42b7b7c1ce03",
"article_color_code": "sample string 38",
"article_color": {
"id": "ae2f7ca8-c062-4956-b345-dae83f280766",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-20T19:26:33.4458343+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "590c63e1-3dbc-4c13-b8a6-c6c9141c532b",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "4f98f040-5950-4579-88ec-193447b4998f",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "e35f3169-512b-412a-87e5-71d2ac4d8b66",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "aeeeeb6c-5a72-44d7-8239-ca0a6ddc712a",
"_parent_id": "2c875208-79ec-4626-a161-051f5d86259a",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "5415060b-48cc-4f1b-8fd5-06d6060c11fd",
"project_reference_back_office": "sample string 5",
"project": {
"id": "74d8f455-6b81-4cba-816d-52a21bad4613",
"_parent_id": "61bee613-58e9-4461-bd07-886ebb7f71a3",
"root_parent_id": "688f6bba-f313-4103-a662-3ac0e382a3f3",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "eec975f3-d5a1-45c8-8468-40c4288f5b56",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "ebfd5441-c6a9-4534-aa72-6367cac24aa5",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "9b31bff0-ad98-4ffc-ae39-9f94dad7b406",
"_parent_code": "sample string 6",
"sales_organization_id": "32dd50ed-bc77-4c00-927f-978d141c5bcd",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "1d98069a-8355-4529-be9f-f9a3510d9652",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6040c32d-bea8-45b5-925a-2c99c4e193ce",
"db_currency_id": "4ed2c3da-8c69-47aa-a176-fe34e1f0f6a5",
"db_language_id": "1fed0084-b518-4175-b400-80932e8196aa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"equipment_model_id": "7f84d667-c8ee-4d49-9197-473e18868ba3",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "bdfef86d-6b34-4a72-8c41-96f65f3a4ad9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "d760f10c-34e0-4aad-b882-8e6b248b8483",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "380bbb99-2173-463a-9e07-5e888e22a5c8",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "cab9a3fa-e8c8-4c71-adc1-579365444877",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "1d98069a-8355-4529-be9f-f9a3510d9652",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6040c32d-bea8-45b5-925a-2c99c4e193ce",
"db_currency_id": "4ed2c3da-8c69-47aa-a176-fe34e1f0f6a5",
"db_language_id": "1fed0084-b518-4175-b400-80932e8196aa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"equipment_family_id": "15fa657a-f54e-45a5-9ac7-38684edfcbe6",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "ebfd5441-c6a9-4534-aa72-6367cac24aa5",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "9b31bff0-ad98-4ffc-ae39-9f94dad7b406",
"_parent_code": "sample string 6",
"sales_organization_id": "32dd50ed-bc77-4c00-927f-978d141c5bcd",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "1d98069a-8355-4529-be9f-f9a3510d9652",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6040c32d-bea8-45b5-925a-2c99c4e193ce",
"db_currency_id": "4ed2c3da-8c69-47aa-a176-fe34e1f0f6a5",
"db_language_id": "1fed0084-b518-4175-b400-80932e8196aa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"date_in_production_since": "2026-11-20T19:26:33.4582477+00:00",
"date_out_of_production_since": "2026-11-20T19:26:33.4582477+00:00",
"date_end_support": "2026-11-20T19:26:33.4582477+00:00",
"sales_organization_id": "35e4b6bb-b131-4f5f-9d69-19a5ae84055b",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "1d98069a-8355-4529-be9f-f9a3510d9652",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6040c32d-bea8-45b5-925a-2c99c4e193ce",
"db_currency_id": "4ed2c3da-8c69-47aa-a176-fe34e1f0f6a5",
"db_language_id": "1fed0084-b518-4175-b400-80932e8196aa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"project_status_id": "2a8186af-5954-4f3d-9bc6-63501a5161c7",
"project_status_code": "sample string 10",
"project_status": {
"id": "4150b50c-ba53-458a-a6eb-f5fa435ecdcb",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "c84d4541-b089-4f5e-9553-bca7c6c3caa9",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "1d98069a-8355-4529-be9f-f9a3510d9652",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6040c32d-bea8-45b5-925a-2c99c4e193ce",
"db_currency_id": "4ed2c3da-8c69-47aa-a176-fe34e1f0f6a5",
"db_language_id": "1fed0084-b518-4175-b400-80932e8196aa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"company_id": "f52f1a4b-e4c6-4859-9e0b-06c30805b585",
"company_code": "sample string 12",
"db_address_id": "6a858157-a272-41e1-a378-aa84fb64e114",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "ac9f2520-0384-403e-bbae-fe6d2227d42c",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "ae8c095c-8e90-496a-803d-3a67334013d2",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-20T19:26:33.4582477+00:00",
"date_create": "2026-11-20T19:26:33.4582477+00:00",
"date_update": "2026-11-20T19:26:33.4582477+00:00",
"updated_by_user_id": "05fa6749-3a35-40c0-9bb3-6b9c80a94abf",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-20T19:26:33.4582477+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-20T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-20T19:26:33.4582477+00:00",
"date_last_job": "2026-11-20T19:26:33.4582477+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-20T19:26:33.4582477+00:00",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00",
"is_mobile_installation": true
},
"job_type_id": "61e8ed91-129d-4069-ae2f-e3d6189602b8",
"job_type_code": "sample string 7",
"job_type": {
"id": "a2128bf9-8e80-4b61-b69b-9f2e7889151a",
"name": "sample string 2",
"sales_organization_id": "6afcdb69-d6fd-427c-95e1-ae4bfc58849d",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00",
"code": "sample string 7"
},
"job_priority_id": "a53e2583-d6a6-44fa-aca5-0544bb354e77",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "ce014d35-8678-4a7a-a259-eac0e08f1582",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "721d66c8-122e-4ce2-82b4-4acffd2e1ce3",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "1d98069a-8355-4529-be9f-f9a3510d9652",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6040c32d-bea8-45b5-925a-2c99c4e193ce",
"db_currency_id": "4ed2c3da-8c69-47aa-a176-fe34e1f0f6a5",
"db_language_id": "1fed0084-b518-4175-b400-80932e8196aa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"job_status_id": "35992e5c-be10-4c0d-b014-81d320f9aec1",
"job_status_code": "sample string 11",
"db_address_id": "aad9b8d7-d51b-485f-80e2-ed03ba1c8212",
"contact_id": "3116d89f-5a2c-4510-8f32-79285fcc3982",
"requested_by_company_id": "c5d08395-b201-4184-88b4-184da3e8ad2c",
"requested_by_contact_id": "15d30925-0301-445a-8c91-6e4f17323171",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-20T19:26:33.4582477+00:00",
"due_date": "2026-11-20T19:26:33.4582477+00:00",
"date_create": "2026-11-20T19:26:33.4582477+00:00",
"date_update": "2026-11-20T19:26:33.4582477+00:00",
"date_closed": "2026-11-20T19:26:33.4582477+00:00",
"suggested_user_id": "cb3913bb-1221-4777-8a59-4a56627179e2",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "f247315f-42a6-41c2-b94a-a214360388ac",
"db_language_id": "31942acb-2f57-4c68-a0dd-5880ee0dd71b",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-20T19:26:33.4582477+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "ce4e3b5b-bb5a-42f8-aeae-142421952964",
"sales_organization": {
"id": "1d98069a-8355-4529-be9f-f9a3510d9652",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6040c32d-bea8-45b5-925a-2c99c4e193ce",
"db_currency_id": "4ed2c3da-8c69-47aa-a176-fe34e1f0f6a5",
"db_language_id": "1fed0084-b518-4175-b400-80932e8196aa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "d6328c45-f822-46f0-8a45-a2500381ca33",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "7b7c1aa3-8aee-47e6-b9ab-c5a87d6823f8",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "54c644a5-3a9d-4839-a964-e213183372f5"
},
"suggested_date_start": "2026-11-20T19:26:33.4582477+00:00",
"skill_id": "ef06656f-6e99-4d71-88d5-a4d39103372e",
"skill_code": "sample string 32",
"skill": {
"id": "6867d5fb-066f-4746-88af-85711e513898",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "0be19b8b-21b5-4f41-9971-dafed70fe53e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "1d98069a-8355-4529-be9f-f9a3510d9652",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6040c32d-bea8-45b5-925a-2c99c4e193ce",
"db_currency_id": "4ed2c3da-8c69-47aa-a176-fe34e1f0f6a5",
"db_language_id": "1fed0084-b518-4175-b400-80932e8196aa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "14c6593e-b5db-46ce-91f1-709f9854eacd",
"date_reported_by_company": "2026-11-20T19:26:33.4582477+00:00",
"id2": 36,
"company_id": "3c40059a-a047-4b27-8980-536020633a91",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "3836085d-d31f-4082-98a2-b2f6be7b7f32",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-20T19:26:33.4582477+00:00"
}